shishi_checksum_parse(3)

NAME
shishi_checksum_parse - API function

SYNOPSIS
#include <shishi.h>

int shishi_checksum_parse(const char * checksum);

ARGUMENTS

const char * checksum
    name of checksum type, e.g. "hmac-sha1-96-aes256".

DESCRIPTION
Get checksum number by parsing a string.

RETURN VALUE
Return checksum type, see Shishi_cksumtype, corresponding to a string.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.